error?

Started by Ronald, Jan 16, 2021, 02:06 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Ronald

Keep getting these errors showing in the logs.

QuoteApply Filter: Only show the error messages of this URLhttps://seniorforums.net/index.php?action=post;quote=2960;topic=486.0Apply Filter: Only show the errors with the same message8192: Array and string offset access syntax with curly braces is deprecatedApply Filter: Only show the errors from this fileFile: /home/coffeeti/seniorforums.net/Sources/Subs-Editor.php
Line: 934

Anyone any ideas?

SMF 2.0.17

SychO

I think you're using php7.4
lower it to 7.3 or less

Ronald

Quote from: SychO on Jan 16, 2021, 05:20 PMI think you're using php7.4
lower it to 7.3 or less

I think I put it on 7.4 for Beta testing smf 2.0.18. I will go chaek and go back to 7.3. Will post back if it clears up.
Thanks

Ronald

Quote from: Ronald on Jan 16, 2021, 06:22 PMI think I put it on 7.4 for Beta testing smf 2.0.18. I will go chaek and go back to 7.3. Will post back if it clears up.
Thanks

SychO It was on 7.4, I made 7.3 current, and the forum went down, reset back to 7.4 and the forum came back up.

Neša

Backup the file then, on line 934 if you replace the curly brackets {} with square brackets [] the error should go away.

The only issue is that every time you update you will need to do this. It must be very old code if they are using {} to index.

Ronald

Quote from: Neša on Jan 16, 2021, 07:21 PMBackup the file then, on line 934 if you replace the curly brackets {} with square brackets [] the error should go away.

The only issue is that every time you update you will need to do this. It must be very old code if they are using {} to index.

Can't line 934 has ); only. Had about 100 errors from different lines with the same error.

Ronald

In sources, different files, I have changed {} to [] keep checking for error, so far so good.

Skhilled

Quote from: Ronald on Jan 16, 2021, 06:22 PMI think I put it on 7.4 for Beta testing smf 2.0.18. I will go chaek and go back to 7.3. Will post back if it clears up.
Thanks
Ron, whenever you change PHP versions your site will go down as it makes the changes. It will be down for a few minutes. Then refresh and it all will be good. Or if it does not come back on line wait a few more minutes and refresh again. If it does not come back online then change back to the original PHP version...keeping in mind it will still take another few minutes for the change to complete.


Yeah, it scares your pants off when it goes offline. LOL

Ronald

Quote from: Skhilled on Jan 16, 2021, 09:40 PMRon, whenever you change PHP versions your site will go down as it makes the changes. It will be down for a few minutes. Then refresh and it all will be good. Or if it does not come back on line wait a few more minutes and refresh again. If it does not come back online then change back to the original PHP version...keeping in mind it will still take another few minutes for the change to complete.


Yeah, it scares your pants off when it goes offline. LOL

With me sure does, I've made boo boo's and seen it disappear.

Funny thing is I never had these error before they just started.

Ronald

I put it back to 7.3 wait almost 1/2 hour, nothing, no show. Put it back to 7.4 and came back up.

shawnb61

Bear in mind those changes are in the 2.0.18 patch, so they will cause conflicts when you try to apply the patch when it comes.

The real mystery is what broke your 7.3 environment... 

To minimize changes, I'd be tempted to keep everything at 7.4 & the test patch for now.  Deinstall just before installing the final patch.

It takes a LOT of changes to make 2.0.17 play nice with 7.4/8.0...

Ronald

Quote from: shawnb61 on Jan 17, 2021, 06:21 PMBear in mind those changes are in the 2.0.18 patch, so they will cause conflicts when you try to apply the patch when it comes.

The real mystery is what broke your 7.3 environment... 

To minimize changes, I'd be tempted to keep everything at 7.4 & the test patch for now.  Deinstall just before installing the final patch.

It takes a LOT of changes to make 2.0.17 play nice with 7.4/8.0...

No patch in this forum. I have a arcade test board for 2.0.18 and it also runs 7.4 on a different host package.

The last mod I installed was a new one the triangle and questions for registration security. I could never get it to show the question/s, so I removed it and deleted the files.

All the errors seem to be []

Ronald

Apply Filter: Only show the error messages of this URLhttps://seniorforums.net/index.php?action=post2;start=0;board=9Apply Filter: Only show the errors with the same message8192: Array and string offset access syntax with curly braces is deprecatedApply Filter: Only show the errors from this fileFile: /home/coffeeti/seniorforums.net/Sources/Subs-Graphics.php
Line: 540

13 oages of this error curly braces {}